Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-16140

bump owasp.esapi from 2.1.0 to 2.1.0.1

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.2.0, 1.3.0, 1.1.4, 1.0.4, 2.0.0
    • Fix Version/s: 1.3.0, 1.2.2, 1.1.6, 2.0.0
    • Component/s: dependencies
    • Labels:
      None
    • Hadoop Flags:
      Reviewed
    • Release Note:
      Hide
      The dependency owasp.esapi had a compatible change from 2.1.0 to 2.1.0.1. As a result, the transitive dependency commons-fileupload had a change from 1.2 to 1.3.1, which has some minor class changes that impact binary compatibility. Interested users should check the release notes of commons-fileupload to see if any of the incompatible changes impact them.

      http://commons.apache.org/proper/commons-fileupload/changes-report.html
      Show
      The dependency owasp.esapi had a compatible change from 2.1.0 to 2.1.0.1. As a result, the transitive dependency commons-fileupload had a change from 1.2 to 1.3.1, which has some minor class changes that impact binary compatibility. Interested users should check the release notes of commons-fileupload to see if any of the incompatible changes impact them. http://commons.apache.org/proper/commons-fileupload/changes-report.html

      Description

      A small pom change to upgrade the library.

        Attachments

        1. hbase-16140.patch
          0.4 kB
          Jonathan Hsieh
        2. compat_report.html
          109 kB
          Jonathan Hsieh

          Activity

            People

            • Assignee:
              jmhsieh Jonathan Hsieh
              Reporter:
              jmhsieh Jonathan Hsieh
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: